package database

import (
	"gorm.io/gorm"
)

type Database struct {
	ORM      *gorm.DB
	Location string
}

type User struct {
	Username string `gorm:"primaryKey"`
	Password string
	LoggedIn bool
}

type Task struct {
	ID          int `gorm:"primaryKey"`
	Username    string
	Description string
	Done        bool
}
